Page MenuHomePhabricator

Adding icons to dialog actions results in wrong padding
Closed, ResolvedPublic

Description

Here the icon is blue on blue so not visible:

Manually fixing the colour we can see the icon also lacks padding:

Details

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2019, 10:15 PM

I think this was caused by 4524106d9602b08d7ead1d3d91d2120c4c8398db, which also made CX help card look like this:

@Petar.petkovic that can be fixed by removing the 'primary' flag which was not needed for those buttons, and was previously being ignored.

Esanders updated the task description. (Show Details)Jun 28 2019, 11:13 AM

The colour is now fixed, but the padding is still incorrect

Esanders renamed this task from Adding icons to dialog actions results in wrong colour to Adding icons to dialog actions results in wrong padding.Jul 3 2019, 8:58 PM
Esanders updated the task description. (Show Details)

Change 520638 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Fix icon+label padding in process dialog

https://gerrit.wikimedia.org/r/520638

Change 520638 merged by jenkins-bot:
[oojs/ui@master] Fix icon+label padding in process dialog

https://gerrit.wikimedia.org/r/520638

Volker_E closed this task as Resolved.Jul 9 2019, 9:59 PM
Volker_E assigned this task to Esanders.
Volker_E triaged this task as High priority.
Volker_E moved this task from Backlog to OOUI-0.33.2 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.33.2); removed OOUI.

Change 521875 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.33.2

https://gerrit.wikimedia.org/r/521875

Change 521875 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.2

https://gerrit.wikimedia.org/r/521875

Change 522195 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] WikimediaUI theme: Fix icon+label padding in process dialog on mobile too

https://gerrit.wikimedia.org/r/522195

matmarex reopened this task as Open.Jul 11 2019, 10:20 PM
matmarex added a subscriber: matmarex.

Not fixed on mobile, it's getting override by some other styles.

Change 522195 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Fix icon+label padding in process dialog on mobile too

https://gerrit.wikimedia.org/r/522195

Volker_E edited projects, added OOUI; removed OOUI (OOUI-0.33.2).Jul 12 2019, 1:50 PM
matmarex edited projects, added OOUI (OOUI-0.33.3); removed OOUI.Jul 15 2019, 10:50 PM
Volker_E closed this task as Resolved.Jul 16 2019, 11:57 AM

Change 523823 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823

Change 523823 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823